@use '@angular/material' as mat;
@use 'slide-viewer-styles';
@use 'partials/dark-theme';
@use 'partials/font';
@use 'partials/typography';

@use 'partials/mixins/color-theme';
@use 'partials/mixins/font-theme';

@import 'partials/classes';
@import 'partials/third-party/google_material_icons';
@import 'partials/third-party/google_material_symbols';

// @include theming.angular-material-color(dark-theme.$emp-dark-theme);
@include slide-viewer-styles.slide-viewer-module-theme(
  dark-theme.$emp-dark-theme
);

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat.core();

// The following mixins include base theme styles that are only needed once per application. These
// theme styles do not depend on the color, typography, or density settings in your theme. However,
// these styles may differ depending on the theme's design system. Currently all themes use the
// Material 2 design system, but in the future it may be possible to create theme based on other
// design systems, such as Material 3.
//
// Please note: you do not need to include the 'base' mixins, if you include the corresponding
// 'theme' mixin elsewhere in your Sass. The full 'theme' mixins already include the base styles.
//
// To learn more about "base" theme styles visit our theming guide:
// https://material.angular.io/guide/theming#theming-dimensions
@include mat.all-component-bases(dark-theme.$emp-dark-theme);


@include mat.all-component-colors(dark-theme.$emp-dark-theme);
@include mat.all-component-typographies(dark-theme.$emp-dark-theme);
@include mat.all-component-densities(dark-theme.$emp-dark-theme);

// own mixins
@include color-theme.set-colors(dark-theme.$emp-dark-theme);
@include font-theme.set-fonts(dark-theme.$emp-dark-theme);

body {
  height: 100vh;
  margin: 0;
}
